export const PageComponents = {
    install(Vue: any, opt: any) {
                Vue.component('product-supplierinfo-basic-quick-view', () => import('@pages/odoo-product/product-supplierinfo-basic-quick-view/product-supplierinfo-basic-quick-view.vue'));
        Vue.component('mail-followers-by-res-list-view', () => import('@pages/odoo-mail/mail-followers-by-res-list-view/mail-followers-by-res-list-view.vue'));
        Vue.component('product-product-pickup-view', () => import('@pages/odoo-product/product-product-pickup-view/product-product-pickup-view.vue'));
        Vue.component('res-supplier-master-quick-view', () => import('@pages/odoo-base/res-supplier-master-quick-view/res-supplier-master-quick-view.vue'));
        Vue.component('product-template-master-edit-view', () => import('@pages/odoo-product/product-template-master-edit-view/product-template-master-edit-view.vue'));
        Vue.component('uom-category-basic-list-exp-view', () => import('@pages/odoo-uom/uom-category-basic-list-exp-view/uom-category-basic-list-exp-view.vue'));
        Vue.component('uom-uom-basic-edit-view', () => import('@pages/odoo-uom/uom-uom-basic-edit-view/uom-uom-basic-edit-view.vue'));
        Vue.component('uom-uom-basic-quick-view', () => import('@pages/odoo-uom/uom-uom-basic-quick-view/uom-uom-basic-quick-view.vue'));
        Vue.component('purchase-order-master-summary-view', () => import('@pages/odoo-purchase/purchase-order-master-summary-view/purchase-order-master-summary-view.vue'));
        Vue.component('purchase-order-master-info-view', () => import('@pages/odoo-purchase/purchase-order-master-info-view/purchase-order-master-info-view.vue'));
        Vue.component('res-partner-bank-edit-view', () => import('@pages/odoo-base/res-partner-bank-edit-view/res-partner-bank-edit-view.vue'));
        Vue.component('res-users-pickup-view', () => import('@pages/odoo-base/res-users-pickup-view/res-users-pickup-view.vue'));
        Vue.component('mail-message-send-view', () => import('@pages/odoo-mail/mail-message-send-view/mail-message-send-view.vue'));
        Vue.component('res-supplier-pickup-grid-view', () => import('@pages/odoo-base/res-supplier-pickup-grid-view/res-supplier-pickup-grid-view.vue'));
        Vue.component('product-product-master-edit-view', () => import('@pages/odoo-product/product-product-master-edit-view/product-product-master-edit-view.vue'));
        Vue.component('res-users-pickup-grid-view', () => import('@pages/odoo-base/res-users-pickup-grid-view/res-users-pickup-grid-view.vue'));
        Vue.component('purchase-requisition-master-summary-view', () => import('@pages/odoo-purchase/purchase-requisition-master-summary-view/purchase-requisition-master-summary-view.vue'));
        Vue.component('purchase-requisition-type-pickup-grid-view', () => import('@pages/odoo-purchase/purchase-requisition-type-pickup-grid-view/purchase-requisition-type-pickup-grid-view.vue'));
        Vue.component('purchase-order-master-quick-view', () => import('@pages/odoo-purchase/purchase-order-master-quick-view/purchase-order-master-quick-view.vue'));
        Vue.component('account-tax-purchase-mpickup-view', () => import('@pages/odoo-account/account-tax-purchase-mpickup-view/account-tax-purchase-mpickup-view.vue'));
        Vue.component('product-template-pickup-view', () => import('@pages/odoo-product/product-template-pickup-view/product-template-pickup-view.vue'));
        Vue.component('product-template-master-quick-view', () => import('@pages/odoo-product/product-template-master-quick-view/product-template-master-quick-view.vue'));
        Vue.component('res-partner-pickup-grid-view', () => import('@pages/odoo-base/res-partner-pickup-grid-view/res-partner-pickup-grid-view.vue'));
        Vue.component('uom-uom-basic-list-exp-view', () => import('@pages/odoo-uom/uom-uom-basic-list-exp-view/uom-uom-basic-list-exp-view.vue'));
        Vue.component('purchase-order-line-line', () => import('@pages/odoo-purchase/purchase-order-line-line/purchase-order-line-line.vue'));
        Vue.component('purchase-requisition-type-basic-quick-view', () => import('@pages/odoo-purchase/purchase-requisition-type-basic-quick-view/purchase-requisition-type-basic-quick-view.vue'));
        Vue.component('product-template-master-info-view', () => import('@pages/odoo-product/product-template-master-info-view/product-template-master-info-view.vue'));
        Vue.component('product-product-master-tab-info-view', () => import('@pages/odoo-product/product-product-master-tab-info-view/product-product-master-tab-info-view.vue'));
        Vue.component('purchase-requisition-line-line-edit', () => import('@pages/odoo-purchase/purchase-requisition-line-line-edit/purchase-requisition-line-line-edit.vue'));
        Vue.component('purchase-requisition-master-grid-view', () => import('@pages/odoo-purchase/purchase-requisition-master-grid-view/purchase-requisition-master-grid-view.vue'));
        Vue.component('uom-category-basic-edit-view', () => import('@pages/odoo-uom/uom-category-basic-edit-view/uom-category-basic-edit-view.vue'));
        Vue.component('purchase-requisition-line-line', () => import('@pages/odoo-purchase/purchase-requisition-line-line/purchase-requisition-line-line.vue'));
        Vue.component('res-supplier-master-info-view', () => import('@pages/odoo-base/res-supplier-master-info-view/res-supplier-master-info-view.vue'));
        Vue.component('product-product-master-quick-view', () => import('@pages/odoo-product/product-product-master-quick-view/product-product-master-quick-view.vue'));
        Vue.component('purchase-order-master-tab-info-view', () => import('@pages/odoo-purchase/purchase-order-master-tab-info-view/purchase-order-master-tab-info-view.vue'));
        Vue.component('purchase-requisition-master-edit-view', () => import('@pages/odoo-purchase/purchase-requisition-master-edit-view/purchase-requisition-master-edit-view.vue'));
        Vue.component('purchase-requisition-master-tab-info-view', () => import('@pages/odoo-purchase/purchase-requisition-master-tab-info-view/purchase-requisition-master-tab-info-view.vue'));
        Vue.component('uom-category-basic-quick-view', () => import('@pages/odoo-uom/uom-category-basic-quick-view/uom-category-basic-quick-view.vue'));
        Vue.component('purchase-requisition-master-quick-view', () => import('@pages/odoo-purchase/purchase-requisition-master-quick-view/purchase-requisition-master-quick-view.vue'));
        Vue.component('mail-activity-edit-view', () => import('@pages/odoo-mail/mail-activity-edit-view/mail-activity-edit-view.vue'));
        Vue.component('purchase-requisition-type-basic-edit-view', () => import('@pages/odoo-purchase/purchase-requisition-type-basic-edit-view/purchase-requisition-type-basic-edit-view.vue'));
        Vue.component('purchase-order-line-edit-view', () => import('@pages/odoo-purchase/purchase-order-line-edit-view/purchase-order-line-edit-view.vue'));
        Vue.component('product-product-master-info-view', () => import('@pages/odoo-product/product-product-master-info-view/product-product-master-info-view.vue'));
        Vue.component('res-partner-pickup-view', () => import('@pages/odoo-base/res-partner-pickup-view/res-partner-pickup-view.vue'));
        Vue.component('res-supplier-master-tab-info-view', () => import('@pages/odoo-base/res-supplier-master-tab-info-view/res-supplier-master-tab-info-view.vue'));
        Vue.component('res-supplier-master-summary-view', () => import('@pages/odoo-base/res-supplier-master-summary-view/res-supplier-master-summary-view.vue'));
        Vue.component('purchase-requisition-line-edit-view', () => import('@pages/odoo-purchase/purchase-requisition-line-edit-view/purchase-requisition-line-edit-view.vue'));
        Vue.component('product-template-master-summary-view', () => import('@pages/odoo-product/product-template-master-summary-view/product-template-master-summary-view.vue'));
        Vue.component('res-config-settings-purchase-edit-view', () => import('@pages/odoo-base/res-config-settings-purchase-edit-view/res-config-settings-purchase-edit-view.vue'));
        Vue.component('product-supplierinfo-basic-edit-view', () => import('@pages/odoo-product/product-supplierinfo-basic-edit-view/product-supplierinfo-basic-edit-view.vue'));
        Vue.component('product-category-basic-quick-view', () => import('@pages/odoo-product/product-category-basic-quick-view/product-category-basic-quick-view.vue'));
        Vue.component('uom-category-pickup-view', () => import('@pages/odoo-uom/uom-category-pickup-view/uom-category-pickup-view.vue'));
        Vue.component('uom-category-pickup-grid-view', () => import('@pages/odoo-uom/uom-category-pickup-grid-view/uom-category-pickup-grid-view.vue'));
        Vue.component('res-supplier-master-grid-view', () => import('@pages/odoo-base/res-supplier-master-grid-view/res-supplier-master-grid-view.vue'));
        Vue.component('purchase-requisition-type-pickup-view', () => import('@pages/odoo-purchase/purchase-requisition-type-pickup-view/purchase-requisition-type-pickup-view.vue'));
        Vue.component('res-supplier-master-edit-view', () => import('@pages/odoo-base/res-supplier-master-edit-view/res-supplier-master-edit-view.vue'));
        Vue.component('res-partner-category-pickup-grid-view', () => import('@pages/odoo-base/res-partner-category-pickup-grid-view/res-partner-category-pickup-grid-view.vue'));
        Vue.component('product-template-master-tab-info-view', () => import('@pages/odoo-product/product-template-master-tab-info-view/product-template-master-tab-info-view.vue'));
        Vue.component('product-product-master-grid-view', () => import('@pages/odoo-product/product-product-master-grid-view/product-product-master-grid-view.vue'));
        Vue.component('mail-activity-by-res-list-view', () => import('@pages/odoo-mail/mail-activity-by-res-list-view/mail-activity-by-res-list-view.vue'));
        Vue.component('product-supplierinfo-basic-list-exp-view', () => import('@pages/odoo-product/product-supplierinfo-basic-list-exp-view/product-supplierinfo-basic-list-exp-view.vue'));
        Vue.component('ir-attachment-by-res-data-view', () => import('@pages/odoo-ir/ir-attachment-by-res-data-view/ir-attachment-by-res-data-view.vue'));
        Vue.component('res-partner-bank-line', () => import('@pages/odoo-base/res-partner-bank-line/res-partner-bank-line.vue'));
        Vue.component('res-partner-bank-line-edit', () => import('@pages/odoo-base/res-partner-bank-line-edit/res-partner-bank-line-edit.vue'));
        Vue.component('mail-message-remark-view', () => import('@pages/odoo-mail/mail-message-remark-view/mail-message-remark-view.vue'));
        Vue.component('product-category-basic-list-exp-view', () => import('@pages/odoo-product/product-category-basic-list-exp-view/product-category-basic-list-exp-view.vue'));
        Vue.component('product-category-basic-edit-view', () => import('@pages/odoo-product/product-category-basic-edit-view/product-category-basic-edit-view.vue'));
        Vue.component('product-product-pickup-grid-view', () => import('@pages/odoo-product/product-product-pickup-grid-view/product-product-pickup-grid-view.vue'));
        Vue.component('product-template-pickup-grid-view', () => import('@pages/odoo-product/product-template-pickup-grid-view/product-template-pickup-grid-view.vue'));
        Vue.component('account-tax-purchase-pickup-grid-view', () => import('@pages/odoo-account/account-tax-purchase-pickup-grid-view/account-tax-purchase-pickup-grid-view.vue'));
        Vue.component('res-partner-category-mpickup-view', () => import('@pages/odoo-base/res-partner-category-mpickup-view/res-partner-category-mpickup-view.vue'));
        Vue.component('mail-message-by-res-list-view', () => import('@pages/odoo-mail/mail-message-by-res-list-view/mail-message-by-res-list-view.vue'));
        Vue.component('purchase-order-line-line-edit', () => import('@pages/odoo-purchase/purchase-order-line-line-edit/purchase-order-line-line-edit.vue'));
        Vue.component('mail-message-main-view', () => import('@pages/odoo-mail/mail-message-main-view/mail-message-main-view.vue'));
        Vue.component('product-template-master-grid-view', () => import('@pages/odoo-product/product-template-master-grid-view/product-template-master-grid-view.vue'));
        Vue.component('purchase-requisition-master-info-view', () => import('@pages/odoo-purchase/purchase-requisition-master-info-view/purchase-requisition-master-info-view.vue'));
        Vue.component('purchase-order-master-grid-view-order', () => import('@pages/odoo-purchase/purchase-order-master-grid-view-order/purchase-order-master-grid-view-order.vue'));
        Vue.component('product-product-master-summary-view', () => import('@pages/odoo-product/product-product-master-summary-view/product-product-master-summary-view.vue'));
        Vue.component('purchase-order-master-grid-view-enquiry', () => import('@pages/odoo-purchase/purchase-order-master-grid-view-enquiry/purchase-order-master-grid-view-enquiry.vue'));
        Vue.component('purchase-order-master-edit-view', () => import('@pages/odoo-purchase/purchase-order-master-edit-view/purchase-order-master-edit-view.vue'));
        Vue.component('mail-message-master-tab-view', () => import('@pages/odoo-mail/mail-message-master-tab-view/mail-message-master-tab-view.vue'));
        Vue.component('purchase-requisition-type-basic-list-exp-view', () => import('@pages/odoo-purchase/purchase-requisition-type-basic-list-exp-view/purchase-requisition-type-basic-list-exp-view.vue'));
        Vue.component('res-supplier-pickup-view', () => import('@pages/odoo-base/res-supplier-pickup-view/res-supplier-pickup-view.vue'));
    }
};